%EHOF - Equivariant histogram of oriented features.
%
%   See also HOF.

%   Author: Uwe Schmidt, TU Darmstadt (uwe.schmidt@gris.tu-darmstadt.de)
%
%   This file is part of the implementation as described in the CVPR 2012 paper:
%   Uwe Schmidt and Stefan Roth. Learning Rotation-Aware Features: From Invariant Priors to Equivariant Descriptors.
%   Please see the file LICENSE.txt for the license governing this code.

function H = ehof(binned,nrings,ncells_per_ring,do_normalization)

  function H = post(cells,cells_norm)
    H = [reshape(cells(1,1,:),[],1); cells_norm(:)];
  end
    
  H = hof(binned,nrings,ncells_per_ring,do_normalization,@post);

end
