%GET_DATA - Load example data (subset of MNIST-rot) for classification.
%
%   Load the full MNIST or MNIST-rot datasets here to reproduce the results from the paper.
%   - MNIST:     http://yann.lecun.com/exdb/mnist/ (MATLAB-friendly version: http://www.cs.nyu.edu/~roweis/data.html)
%   - MNIST-rot: http://www.iro.umontreal.ca/~lisa/twiki/bin/view.cgi/Public/MnistVariations
%
%   See also DEMO_CLASSIFICATION.

%   Author: Uwe Schmidt, TU Darmstadt (uwe.schmidt@gris.tu-darmstadt.de)
%
%   This file is part of the implementation as described in the CVPR 2012 paper:
%   Uwe Schmidt and Stefan Roth. Learning Rotation-Aware Features: From Invariant Priors to Equivariant Descriptors.
%   Please see the file LICENSE.txt for the license governing this code.


function [imdims,data_train,labels_train, data_test,labels_test, data_val,labels_val] = get_data %#ok
  % load arbitrarily rotated MNIST digits
  load 'data/mnist-rot-subset.mat'
end