%MAKEMEX - Compile MEX-plugins binning_fast.c and polarpooling.c.

%   Author: Uwe Schmidt, TU Darmstadt (uwe.schmidt@gris.tu-darmstadt.de)
%
%   This file is part of the implementation as described in the CVPR 2012 paper:
%   Uwe Schmidt and Stefan Roth. Learning Rotation-Aware Features: From Invariant Priors to Equivariant Descriptors.
%   Please see the file LICENSE.txt for the license governing this code.

function makemex
  if ispc
    mex binning_fast.c COMPFLAGS="$COMPFLAGS /Wall /TP" OPTIMFLAGS="$OPTIMFLAGS /O2"
    mex polarpooling.c COMPFLAGS="$COMPFLAGS /Wall /TP" OPTIMFLAGS="$OPTIMFLAGS /O2"
  elseif isunix
    if ismac, warning('Not tested.'), end
    mex binning_fast.c CFLAGS="\$CFLAGS -Wall -std=c99 -mtune=native -O3"
    mex polarpooling.c CFLAGS="\$CFLAGS -Wall -std=c99 -mtune=native -O3"
  end
end