%MODEL_SHOW - Visualize learned RC-RBM models (cf. figure 3 of the paper)

%   Author: Uwe Schmidt, TU Darmstadt (uwe.schmidt@gris.tu-darmstadt.de)
%
%   This file is part of the implementation as described in the CVPR 2012 paper:
%   Uwe Schmidt and Stefan Roth. Learning Rotation-Aware Features: From Invariant Priors to Equivariant Descriptors.
%   Please see the file LICENSE.txt for the license governing this code.

function model_show(m)
  figure, clf, colormap(gray(256))
  W = cell(m.nfilters,m.ntforms);
  for i = 1:m.nfilters
    for j = 1:m.ntforms
      W{i,j} = reshape(m.T{j}*m.B*m.W(:,i),m.fdims);
    end
  end
  W = cell2mat(W);
  imagesc(W), axis image on, colorbar %#ok
end